Name:    igsc
Version: 0.9.5
Release: %autorelease
Summary: Intel Graphics System Controller Firmware Update Library (IGSC FUL)

Group: System Environment/Libraries
License: apache2
URL: https://github.com/intel/igsc
Source0: %{url}/archive/V%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc gcc-c++
BuildRequires:  doxygen
BuildRequires:  python3-sphinx
BuildRequires:  systemd-devel
BuildRequires:  intel-metee-devel >= 5.0.0

# Upstream only supports x86_64
ExclusiveArch:	x86_64

%description
The Intel Graphics System Firmware Update Library (IGSC FUL) is
a pure C low level library that exposes a required API
to perform a firmware update of a particular Intel discrete
graphics device. The library utilized a cross platform library metee_ in
order to access the GSC (mei) device. GSC device is an extension of the
Intel discrete graphics device (dGFX).

The library can update GSC firmware itself, and as well as OPROM VBT
and the code (VBIOS, GOP).

The library provides retrieval of identity and version information from
both graphic device and supplied firmware or OPROM image as well as
function for firmware update of those images to the device.

%package -n     intel-gsc
Summary:        Intel Graphics System Controller Firmware Update Library (IGSC FUL)
Requires:       intel-metee
%description -n intel-gsc
The Intel Graphics System Firmware Update Library (IGSC FUL) is
a pure C low level library that exposes a required API
to perform a firmware update of a particular Intel discrete
graphics device. The library utilized a cross platform library metee_ in
order to access the GSC (mei) device. GSC device is an extension of the
Intel discrete graphics device (dGFX).

The library can update GSC firmware itself, and as well as OPROM VBT
and the code (VBIOS, GOP).

The library provides retrieval of identity and version information from
both graphic device and supplied firmware or OPROM image as well as
function for firmware update of those images to the device.

%package -n     intel-gsc-devel
Summary:        Development headers for igsc
Requires:       intel-gsc
Requires:       intel-metee-devel
%description -n intel-gsc-devel
The Intel Graphics System Firmware Update Library (IGSC FUL) is
a pure C low level library that exposes a required API
to perform a firmware update of a particular Intel discrete
graphics device. The library utilized a cross platform library metee_ in
order to access the GSC (mei) device. GSC device is an extension of the
Intel discrete graphics device (dGFX).

The library can update GSC firmware itself, and as well as OPROM VBT
and the code (VBIOS, GOP).

The library provides retrieval of identity and version information from
both graphic device and supplied firmware or OPROM image as well as
function for firmware update of those images to the device.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%cmake \
   -DCMAKE_BUILD_TYPE=Release \
   -DENABLE_DOCS=ON
%cmake_build

%install
%cmake_install
# for some reason, mock installs cmake files into /usr/lib
mkdir -p %{buildroot}%{_libdir}/cmake
cp -r %{buildroot}/usr/lib/cmake/igsc %{buildroot}%{_libdir}/cmake
rm -r %{buildroot}/usr/lib/cmake/igsc

%files -n intel-gsc
%license LICENSE.txt
%{_bindir}/igsc
%{_libdir}/libigsc.so.*

%files -n intel-gsc-devel
%{_libdir}/libigsc.so
%{_libdir}/cmake/igsc/*.cmake
%{_includedir}/igsc_lib.h
%{_docdir}
%{_mandir}

%changelog
%autochangelog
